MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026595Open CASCADE[OCCT] OCCT:Codingpublic2015-08-24 17:422016-04-20 15:48
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026595: Documentation - lost some comments in OCCT-code after cdl elimination
DescriptionLet consider following example.

File IntImp_Int2S.cdl contains commentaries to some methods (in OCCT 6.9.0):

IsTangent(me)
---Purpose: Returns True if the surfaces are tangent at the
-- intersection point.

Direction(me)
---Purpose: Returns the tangent at the intersection line.

etc.

However, current OCCT-version (OCCT 7.0.0 dev) does not contain cdl-files.
Theoretically, comments from CDL must be moved into corresponding header files (*.hxx).
Nevertheless, file IntWalk_TheInt2S.hxx (which is generated from IntImp_Int2S.cdl) does not contain any comments.

P.S.
This problem seems to be actual for generic classes only (when there are several instances for one class). So, file IntTools_FaceFace.hxx contains full set of comments.
Steps To Reproduce- Check .hxx;
- Build occt.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024784closedapn Move documentation in CDL files to proper location 
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
(0046113)
abv (manager)
2015-09-25 00:33

Anton, please investigate if it is possible to improve WOK to generate comments in C++ headers of instances of generic classes -- in this case we could re-generate headers of those classes to restore documentation
(0046714)
rkv (developer)
2015-10-14 10:24

Please consider the branch CR26595 of occt-wok.
(0046731)
kgv (developer)
2015-10-14 12:40

Since the main issue is missing comments in already extracted header files (OCCT does not contain CDL packages anymore) - please proceed further to prepare patch for OCCT itself.
(0046749)
git (administrator)
2015-10-14 17:34

Branch CR26595 has been created by rkv.

SHA-1: 9120391db7d1e9803c365af0495b4543ea1bfb1f


Detailed log of new commits:

Author: rkv
Date: Wed Oct 14 17:33:36 2015 +0300

    0026595: Lost some comments in OCCT-code after cdl elimination
    
    Recovered comments for instance classes from CDL generic classes.
(0046750)
git (administrator)
2015-10-14 17:51

Branch CR26595 has been updated forcibly by rkv.

SHA-1: f1036a5295a47a60d131ce352264f42a8c45fe85
(0046751)
kgv (developer)
2015-10-14 18:00

Check compilation of the patch.
Regression testing is not needed.
(0046758)
mkv (tester)
2015-10-14 20:58

Dear BugMaster,
Branch CR26595 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f1036a5295a47a60d131ce352264f42a8c45fe85

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)
(0046898)
git (administrator)
2015-10-16 16:17

Branch CR26595 has been deleted by kgv.

SHA-1: f1036a5295a47a60d131ce352264f42a8c45fe85

- Related Changesets
occt: master 36b9ff75
Timestamp: 2015-10-14 14:48:41
Author: rkv
Committer: bugmaster
Details ] Diff ]
0026595: Lost some comments in OCCT-code after cdl elimination

Recovered comments for instance classes from CDL generic classes.
mod - src/Adaptor2d/Adaptor2d_HLine2d.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HCurveOnSurface.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HIsoCurve.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HOffsetCurve.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HSurfaceOfLinearExtrusion.hxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HSurfaceOfRevolution.hxx Diff ] File ]
mod - src/AppDef/AppDef_BSplineCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_BSpParFunctionOfMyBSplGradientOfBSplineCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_BSpParLeastSquareOfMyBSplGradientOfBSplineCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_Compute.hxx Diff ] File ]
mod - src/AppDef/AppDef_MyBSplGradientOfBSplineCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_MyGradientbisOfBSplineCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_MyGradientOfCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_ParFunctionOfMyGradientbisOfBSplineCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_ParFunctionOfMyGradientOfCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_ParFunctionOfTheGradient.hxx Diff ] File ]
mod - src/AppDef/AppDef_ParLeastSquareOfMyGradientbisOfBSplineCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_ParLeastSquareOfMyGradientOfCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_ParLeastSquareOfTheGradient.hxx Diff ] File ]
mod - src/AppDef/AppDef_ResConstraintOfMyGradientbisOfBSplineCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_ResConstraintOfMyGradientOfCompute.hxx Diff ] File ]
mod - src/AppDef/AppDef_ResConstraintOfTheGradient.hxx Diff ] File ]
mod - src/AppDef/AppDef_TheFunction.hxx Diff ] File ]
mod - src/AppDef/AppDef_TheGradient.hxx Diff ] File ]
mod - src/AppDef/AppDef_TheLeastSquares.hxx Diff ] File ]
mod - src/AppDef/AppDef_TheResol.hxx Diff ] File ]
mod - src/Approx/Approx_FitAndDivide.hxx Diff ] File ]
mod - src/Approx/Approx_FitAndDivide2d.hxx Diff ] File ]
mod - src/BiTgte/BiTgte_HCurveOnEdge.hxx Diff ] File ]
mod - src/BiTgte/BiTgte_HCurveOnVertex.hxx Diff ] File ]
mod - src/Bnd/Bnd_B2d.hxx Diff ] File ]
mod - src/Bnd/Bnd_B2f.hxx Diff ] File ]
mod - src/Bnd/Bnd_B3d.hxx Diff ] File ]
mod - src/Bnd/Bnd_B3f.hxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_HCompCurve.hxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_HCurve.hxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_HCurve2d.hxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_HSurface.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_BSpParFunctionOfMyBSplGradientOfTheComputeLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_MyBSplGradientOfTheComputeLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_MyGradientbisOfTheComputeLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_MyGradientOfTheComputeLineBezierOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ParFunctionOfMyGradientbisOfTheComputeLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ParFunctionOfMyGradientOfTheComputeLineBezierOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ParLeastSquareOfMyGradientbisOfTheComputeLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ResConstraintOfMyGradientbisOfTheComputeLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ResConstraintOfMyGradientOfTheComputeLineBezierOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheComputeLineBezierOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheComputeLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheImpPrmSvSurfacesOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheInt2SOfThePrmPrmSvSurfacesOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheMultiLineOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheMultiLineToolOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_ThePrmPrmSvSurfacesOfApprox.hxx Diff ] File ]
mod - src/BRepApprox/BRepApprox_TheZerImpFuncOfTheImpPrmSvSurfacesOfApprox.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_AppSurf.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_Walking.hxx Diff ] File ]
mod - src/BRepClass/BRepClass_FacePassiveClassifier.hxx Diff ] File ]
mod - src/BRepClass/BRepClass_FClass2dOfFClassifier.hxx Diff ] File ]
mod - src/BRepClass/BRepClass_FClassifier.hxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SolidPassiveClassifier.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_ComputeCLine.hxx Diff ] File ]
mod - src/BRepLProp/BRepLProp_CLProps.hxx Diff ] File ]
mod - src/BRepLProp/BRepLProp_SLProps.hxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_HElSpine.hxx Diff ] File ]
mod - src/Contap/Contap_SequenceOfIWLineOfTheIWalking.hxx Diff ] File ]
mod - src/Contap/Contap_SequenceOfPathPointOfTheSearch.hxx Diff ] File ]
mod - src/Contap/Contap_SequenceOfSegmentOfTheSearch.hxx Diff ] File ]
mod - src/Contap/Contap_TheIWalking.hxx Diff ] File ]
mod - src/Contap/Contap_TheIWLineOfTheIWalking.hxx Diff ] File ]
mod - src/Contap/Contap_TheSearch.hxx Diff ] File ]
mod - src/Contap/Contap_TheSearchInside.hxx Diff ] File ]
mod - src/Contap/Contap_TheSegmentOfTheSearch.hxx Diff ] File ]
mod - src/Dico/Dico_DictionaryOfInteger.hxx Diff ] File ]
mod - src/Dico/Dico_DictionaryOfTransient.hxx Diff ] File ]
mod - src/Dico/Dico_IteratorOfDictionaryOfInteger.hxx Diff ] File ]
mod - src/Dico/Dico_IteratorOfDictionaryOfTransient.hxx Diff ] File ]
mod - src/Dico/Dico_StackItemOfDictionaryOfInteger.hxx Diff ] File ]
mod - src/Dico/Dico_StackItemOfDictionaryOfTransient.hxx Diff ] File ]
mod - src/Extrema/Extrema_CCLocFOfLocECC.hxx Diff ] File ]
mod - src/Extrema/Extrema_CCLocFOfLocECC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_ECC.hxx Diff ] File ]
mod - src/Extrema/Extrema_ECC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_ELPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_ELPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfELPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfELPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocECC.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocECC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocEPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocEPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfELPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfELPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCLocFOfLocEPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCLocFOfLocEPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_POnCurv.hxx Diff ] File ]
mod - src/Extrema/Extrema_POnCurv2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfELPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfELPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_SeqPCOfPCLocFOfLocEPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_SeqPCOfPCLocFOfLocEPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_SeqPOnCOfCCLocFOfLocECC.hxx Diff ] File ]
mod - src/Extrema/Extrema_SeqPOnCOfCCLocFOfLocECC2d.hxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor_GHCurve.hxx Diff ] File ]
mod - src/Geom2dHatch/Geom2dHatch_Classifier.hxx Diff ] File ]
mod - src/Geom2dHatch/Geom2dHatch_FClass2dOfClassifier.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_GInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_IntConicCurveOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_MyImpParToolOfTheIntersectorOfTheIntConicCurveOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_PCLocFOfTheLocateExtPCOfTheProjPCurOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheCurveLocatorOfTheProjPCurOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheIntConicCurveOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheIntersectorOfTheIntConicCurveOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheIntPCurvePCurveOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheLocateExtPCOfTheProjPCurOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_ThePolygon2dOfTheIntPCurvePCurveOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheProjPCurOfGInter.hxx Diff ] File ]
mod - src/Geom2dLProp/Geom2dLProp_CLProps2d.hxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_GHCurve.hxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_GHSurface.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_AppSurf.hxx Diff ] File ]
mod - src/GeomFill/GeomFill_AppSweep.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_BSpParFunctionOfMyBSplGradientOfTheComputeLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_MyBSplGradientOfTheComputeLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_MyGradientbisOfTheComputeLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_ParFunctionOfMyGradientbisOfTheComputeLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_ParLeastSquareOfMyGradientbisOfTheComputeLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_ResConstraintOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheComputeLineBezierOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheComputeLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheImpPrmSvSurfacesOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheInt2SOfThePrmPrmSvSurfacesOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheMultiLineOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheMultiLineToolOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_ThePrmPrmSvSurfacesOfWLApprox.hxx Diff ] File ]
mod - src/GeomInt/GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox.hxx Diff ] File ]
mod - src/GeomLProp/GeomLProp_CLProps.hxx Diff ] File ]
mod - src/GeomLProp/GeomLProp_SLProps.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_CInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_CLProps.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_IntConicCurveOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_InterCSurf.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_MyImpParToolOfTheIntersectorOfTheIntConicCurveOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PCLocFOfTheLocateExtPCOfTheProjPCurOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_SLProps.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheCurveLocatorOfTheProjPCurOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheExactInterCSurf.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheIntConicCurveOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheInterferenceOfInterCSurf.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheIntersectorOfTheIntConicCurveOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheIntPCurvePCurveOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheLocateExtPCOfTheProjPCurOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ThePolygon2dOfTheIntPCurvePCurveOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ThePolygonOfInterCSurf.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ThePolygonToolOfInterCSurf.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ThePolyhedronOfInterCSurf.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_ThePolyhedronToolOfInterCSurf.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheProjPCurOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheQuadCurvExactInterCSurf.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf.hxx Diff ] File ]
mod - src/IGESData/IGESData_FileRecognizer.hxx Diff ] File ]
mod - src/IGESData/IGESData_GlobalNodeOfSpecificLib.hxx Diff ] File ]
mod - src/IGESData/IGESData_GlobalNodeOfWriterLib.hxx Diff ] File ]
mod - src/IGESData/IGESData_NodeOfSpecificLib.hxx Diff ] File ]
mod - src/IGESData/IGESData_NodeOfWriterLib.hxx Diff ] File ]
mod - src/IGESData/IGESData_SpecificLib.hxx Diff ] File ]
mod - src/IGESData/IGESData_WriterLib.hxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_FileModifier.hxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_ModelModifier.hxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntImpConicParConic.hxx Diff ] File ]
mod - src/IntCurve/IntCurve_MyImpParToolOfIntImpConicParConic.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_HInter.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_TheExactHInter.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_TheHCurveTool.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_TheInterferenceOfHInter.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_ThePolygonOfHInter.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_ThePolygonToolOfHInter.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_ThePolyhedronOfHInter.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_ThePolyhedronToolOfHInter.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_TheQuadCurvExactHInter.hxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_TheQuadCurvFuncOfTheQuadCurvExactHInter.hxx Diff ] File ]
mod - src/Interface/Interface_GeneralLib.hxx Diff ] File ]
mod - src/Interface/Interface_GlobalNodeOfGeneralLib.hxx Diff ] File ]
mod - src/Interface/Interface_GlobalNodeOfReaderLib.hxx Diff ] File ]
mod - src/Interface/Interface_NodeOfGeneralLib.hxx Diff ] File ]
mod - src/Interface/Interface_NodeOfReaderLib.hxx Diff ] File ]
mod - src/Interface/Interface_ReaderLib.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_CurvIntSurf.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_SequenceOfIWLineOfTheIWalking.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_SequenceOfPathPointOfTheSOnBounds.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_SequenceOfSegmentOfTheSOnBounds.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheIWalking.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheIWLineOfTheIWalking.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheSearchInside.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheSegmentOfTheSOnBounds.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheSOnBounds.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheSurfFunction.hxx Diff ] File ]
mod - src/IntTools/IntTools_CArray1OfInteger.hxx Diff ] File ]
mod - src/IntTools/IntTools_CArray1OfReal.hxx Diff ] File ]
mod - src/IntWalk/IntWalk_TheFunctionOfTheInt2S.hxx Diff ] File ]
mod - src/IntWalk/IntWalk_TheInt2S.hxx Diff ] File ]
mod - src/LProp3d/LProp3d_CLProps.hxx Diff ] File ]
mod - src/LProp3d/LProp3d_SLProps.hxx Diff ] File ]
mod - src/ProjLib/ProjLib_HCompProjectedCurve.hxx Diff ] File ]
mod - src/ProjLib/ProjLib_HProjectedCurve.hxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_DictionaryOfOperator.hxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_IteratorOfDictionaryOfOperator.hxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_StackItemOfDictionaryOfOperator.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_DictionaryOfExternFile.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_IteratorOfDictionaryOfExternFile.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_StackItemOfDictionaryOfExternFile.hxx Diff ] File ]
mod - src/StepData/StepData_FileRecognizer.hxx Diff ] File ]
mod - src/StepData/StepData_GlobalNodeOfWriterLib.hxx Diff ] File ]
mod - src/StepData/StepData_NodeOfWriterLib.hxx Diff ] File ]
mod - src/StepData/StepData_WriterLib.hxx Diff ] File ]
mod - src/StepSelect/StepSelect_FileModifier.hxx Diff ] File ]
mod - src/StepSelect/StepSelect_ModelModifier.hxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_IteratorOfProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_IteratorOfProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_TransferMapOfProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_TransferMapOfProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_TransientMapper.hxx Diff ] File ]
mod - src/TransferBRep/TransferBRep_OrientedShapeMapper.hxx Diff ] File ]
mod - src/TransferBRep/TransferBRep_ShapeMapper.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-24 17:42 nbv New Issue
2015-08-24 17:42 nbv Assigned To => abv
2015-08-24 17:42 nbv Description Updated View Revisions
2015-08-24 17:43 nbv Description Updated View Revisions
2015-08-24 17:44 nbv Description Updated View Revisions
2015-09-25 00:33 abv Note Added: 0046113
2015-09-25 00:33 abv Assigned To abv => akz
2015-09-25 00:33 abv Status new => assigned
2015-09-25 01:14 abv Relationship added related to 0024784
2015-10-09 15:04 abv Assigned To akz => rkv
2015-10-14 10:24 rkv Note Added: 0046714
2015-10-14 10:25 rkv Assigned To rkv => kgv
2015-10-14 10:25 rkv Status assigned => resolved
2015-10-14 10:25 rkv Steps to Reproduce Updated View Revisions
2015-10-14 12:40 kgv Note Added: 0046731
2015-10-14 12:40 kgv Assigned To kgv => rkv
2015-10-14 12:40 kgv Status resolved => assigned
2015-10-14 17:34 git Note Added: 0046749
2015-10-14 17:51 git Note Added: 0046750
2015-10-14 17:52 rkv Assigned To rkv => kgv
2015-10-14 17:52 rkv Status assigned => resolved
2015-10-14 17:52 rkv Steps to Reproduce Updated View Revisions
2015-10-14 18:00 kgv Note Added: 0046751
2015-10-14 18:00 kgv Assigned To kgv => bugmaster
2015-10-14 18:00 kgv Status resolved => reviewed
2015-10-14 18:00 kgv Summary Lost some comments in OCCT-code after cdl elimination => Documentation - lost some comments in OCCT-code after cdl elimination
2015-10-14 19:11 mkv Assigned To bugmaster => mkv
2015-10-14 20:58 mkv Note Added: 0046758
2015-10-14 20:58 mkv Assigned To mkv => bugmaster
2015-10-14 20:58 mkv Status reviewed => tested
2015-10-14 20:58 mkv Test case number => Not needed
2015-10-14 21:40 kgv Relationship added child of 0024002
2015-10-16 13:18 bugmaster Changeset attached => occt master 36b9ff75
2015-10-16 13:18 bugmaster Status tested => verified
2015-10-16 13:18 bugmaster Resolution open => fixed
2015-10-16 16:17 git Note Added: 0046898
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker